declare module 'extra-random' {
/**
 * Lists n-bit psuedorandom numbers.
 * [more](https://github.com/nodef/extra-random/wiki/middleSquare)
 * @param s seed value
 * @param n size in bits
 */
export function middleSquare(s: bigint, n: bigint): () => bigint;
/**
 * Lists n-bit psuedorandom numbers.
 * [more](https://github.com/nodef/extra-random/wiki/middleSquare32)
 * @param s seed value
 * @param n size in bits
 */
export function middleSquare32(s: number, n: number): () => number;

export {};
}
